import { latex_types } from "./symbol_types";

var preamble = "Define in preamble!";

export default {
	documentclass: {
		insertText: "documentclass",
		kind: latex_types.keyword
	},

	usepackage: {
		insertText: "usepackage{$1}",
		documentation: "usepackage",
		kind: latex_types.keyword
	},
	newenvironment: {
		insertText: "newenvironment{${1:name}}[$2]{$3}{$0}",
		documentation: "newenvironment",
		kind: latex_types.keyword
	},
	newcommand: {
		insertText: "newcommand{${1:name}}[$2]{$3}",
		documentation: "newcommand",
		kind: latex_types.keyword
	},
	renewcommand: {
		insertText: "renewcommand{${1:name}}[$2]{$3}",
		documentation: "renewcommand",
		kind: latex_types.keyword
	},

	includeonly: {
    documentation: "After this command is executed in the preamble of the document, only \\include commands for the filenames which are listed in the argument of the \\includeonly command will be executed. Note that there must be no spaces between the filenames and the commas.",
		kind: latex_types.keyword
  },
	input: {
    documentation: "Includes the sourcecode from the target .tex file.",
		kind: latex_types.keyword
  },
  

	DeclareMathOperator: {
		insertText: "DeclareMathOperator{${1:operatorcommand}}{${2:operatorname}}$0",
		detail: preamble,
		documentation: "Defines a new math operator. Use the stared version for operators with limits.",
		kind: latex_types.keyword
	},
	"DeclareMathOperator*": {
		insertText: "DeclareMathOperator*{${1:operatorcommand}}{${2:operatorname}}$0",
		detail: preamble,
		documentation: "Defines a new math operator with limits.",
		kind: latex_types.keyword
	},
}
